package function_models

type XtPatients struct {
	ID                           int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId                       int64   `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Avatar                       string  `gorm:"column:avatar" json:"avatar" form:"avatar"`
	PatientType                  int64   `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	DialysisNo                   string  `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	AdmissionNumber              string  `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
	Source                       int64   `gorm:"column:source" json:"source" form:"source"`
	Lapseto                      int64   `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	PartitionId                  int64   `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId                        int64   `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Name                         string  `gorm:"column:name" json:"name" form:"name"`
	Alias                        string  `gorm:"column:alias" json:"alias" form:"alias"`
	Gender                       int64   `gorm:"column:gender" json:"gender" form:"gender"`
	MaritalStatus                int64   `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo                     string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday                     int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	ReimbursementWayId           int64   `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id" form:"reimbursement_way_id"`
	HealthCareType               int64   `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo                 string  `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	HealthCareDueDate            int64   `gorm:"column:health_care_due_date" json:"health_care_due_date" form:"health_care_due_date"`
	Height                       int64   `gorm:"column:height" json:"height" form:"height"`
	BloodType                    int64   `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                           int64   `gorm:"column:rh" json:"rh" form:"rh"`
	HealthCareDueAlertDate       int64   `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date" form:"health_care_due_alert_date"`
	EducationLevel               int64   `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession                   int64   `gorm:"column:profession" json:"profession" form:"profession"`
	Phone                        string  `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone                string  `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone                string  `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations            string  `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress                  string  `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit                     string  `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress                  string  `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children                     int64   `gorm:"column:children" json:"children" form:"children"`
	ReceivingDate                int64   `gorm:"column:receiving_date" json:"receiving_date" form:"receiving_date"`
	IsHospitalFirstDialysis      int64   `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis" form:"is_hospital_first_dialysis"`
	FirstDialysisDate            int64   `gorm:"column:first_dialysis_date" json:"first_dialysis_date" form:"first_dialysis_date"`
	FirstDialysisHospital        string  `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital" form:"first_dialysis_hospital"`
	PredialysisCondition         string  `gorm:"column:predialysis_condition" json:"predialysis_condition" form:"predialysis_condition"`
	PreHospitalDialysisFrequency string  `gorm:"column:pre_hospital_dialysis_frequency" json:"pre_hospital_dialysis_frequency" form:"pre_hospital_dialysis_frequency"`
	PreHospitalDialysisTimes     int64   `gorm:"column:pre_hospital_dialysis_times" json:"pre_hospital_dialysis_times" form:"pre_hospital_dialysis_times"`
	HospitalFirstDialysisDate    int64   `gorm:"column:hospital_first_dialysis_date" json:"hospital_first_dialysis_date" form:"hospital_first_dialysis_date"`
	InductionPeriod              int64   `gorm:"column:induction_period" json:"induction_period" form:"induction_period"`
	InitialDialysis              int64   `gorm:"column:initial_dialysis" json:"initial_dialysis" form:"initial_dialysis"`
	TotalDialysis                int64   `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	AttendingDoctorId            int64   `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId                  int64   `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Evaluate                     string  `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Diagnose                     string  `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark                       string  `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId                 int64   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars                   string  `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode                       string  `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState                 int64   `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	PatientComplains             string  `gorm:"column:patient_complains" json:"patient_complains" form:"patient_complains"`
	PresentHistory               string  `gorm:"column:present_history" json:"present_history" form:"present_history"`
	PastHistory                  string  `gorm:"column:past_history" json:"past_history" form:"past_history"`
	Temperature                  float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	Pulse                        int64   `gorm:"column:pulse" json:"pulse" form:"pulse"`
	Respiratory                  int64   `gorm:"column:respiratory" json:"respiratory" form:"respiratory"`
	Sbp                          int64   `gorm:"column:sbp" json:"sbp" form:"sbp"`
	Dbp                          int64   `gorm:"column:dbp" json:"dbp" form:"dbp"`
	Status                       int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                  int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                  int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Nation                       string  `gorm:"column:nation" json:"nation" form:"nation"`
	NativePlace                  string  `gorm:"column:native_place" json:"native_place" form:"native_place"`
	Age                          int64   `gorm:"column:age" json:"age" form:"age"`
}

func (XtPatients) TableName() string {
	return "xt_patients"
}

type XtDialysisPrescription struct {
	ID                         int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Dialyzer                   int64   `gorm:"column:dialyzer" json:"dialyzer" form:"dialyzer"`
	MachineType                string  `gorm:"column:machine_type" json:"machine_type" form:"machine_type"`
	DewaterAmount              float64 `gorm:"column:dewater_amount" json:"dewater_amount" form:"dewater_amount"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus" form:"dialyzer_perfusion_apparatus"`
	PrescriptionDewatering     float64 `gorm:"column:prescription_dewatering" json:"prescription_dewatering" form:"prescription_dewatering"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant" form:"anticoagulant"`
	AnticoagulantShouji        float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji" form:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi" form:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang" form:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng" form:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang" form:"anticoagulant_gaijiliang"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour" form:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute" form:"dialysis_duration_minute"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	ReplacementTotal           float64 `gorm:"column:replacement_total" json:"replacement_total" form:"replacement_total"`
	ReplacementWay             int64   `gorm:"column:replacement_way" json:"replacement_way" form:"replacement_way"`
	HemodialysisMachine        int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine" form:"hemodialysis_machine"`
	BloodFilter                int64   `gorm:"column:blood_filter" json:"blood_filter" form:"blood_filter"`
	PerfusionApparatus         int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus" form:"perfusion_apparatus"`
	DryWeight                  float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	VascularAccessMode         int64   `gorm:"column:vascular_access_mode" json:"vascular_access_mode" form:"vascular_access_mode"`
	VascularAccess             int64   `gorm:"column:vascular_access" json:"vascular_access" form:"vascular_access"`
	BloodFlowVolume            float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume" form:"blood_flow_volume"`
	DialysateFlow              float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	DisplaceLiqui              float64 `gorm:"column:displace_liqui" json:"displace_liqui" form:"displace_liqui"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium" form:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium" form:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium" form:"calcium"`
	Bicarbonate                float64 `gorm:"column:bicarbonate" json:"bicarbonate" form:"bicarbonate"`
	Glucose                    float64 `gorm:"column:glucose" json:"glucose" form:"glucose"`
	DialysateTemperature       float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature" form:"dialysate_temperature"`
	Conductivity               float64 `gorm:"column:conductivity" json:"conductivity" form:"conductivity"`
	PrescriptionDoctor         int64   `gorm:"column:prescription_doctor" json:"prescription_doctor" form:"prescription_doctor"`
	Creater                    int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Modifier                   int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Remark                     string  `gorm:"column:remark" json:"remark" form:"remark"`
	Status                     int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	RecordDate                 int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	RecordId                   int64   `gorm:"column:record_id" json:"record_id" form:"record_id"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration" form:"target_ultrafiltration"`
	DialysateFormulation       int64   `gorm:"column:dialysate_formulation" json:"dialysate_formulation" form:"dialysate_formulation"`
	BodyFluid                  int64   `gorm:"column:body_fluid" json:"body_fluid" form:"body_fluid"`
	SpecialMedicine            int64   `gorm:"column:special_medicine" json:"special_medicine" form:"special_medicine"`
	SpecialMedicineOther       string  `gorm:"column:special_medicine_other" json:"special_medicine_other" form:"special_medicine_other"`
	DisplaceLiquiPart          int64   `gorm:"column:displace_liqui_part" json:"displace_liqui_part" form:"displace_liqui_part"`
	BloodAccess                int64   `gorm:"column:blood_access" json:"blood_access" form:"blood_access"`
	DisplaceLiquiValue         float64 `gorm:"column:displace_liqui_value" json:"displace_liqui_value" form:"displace_liqui_value"`
	Ultrafiltration            float64 `gorm:"column:ultrafiltration" json:"ultrafiltration" form:"ultrafiltration"`
	BodyFluidOther             string  `gorm:"column:body_fluid_other" json:"body_fluid_other" form:"body_fluid_other"`
	Niprocart                  int64   `gorm:"column:niprocart" json:"niprocart" form:"niprocart"`
	Jms                        int64   `gorm:"column:jms" json:"jms" form:"jms"`
	FistulaNeedleSet           int64   `gorm:"column:fistula_needle_set" json:"fistula_needle_set" form:"fistula_needle_set"`
	FistulaNeedleSet16         int64   `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16" form:"fistula_needle_set_16"`
	Hemoperfusion              int64   `gorm:"column:hemoperfusion" json:"hemoperfusion" form:"hemoperfusion"`
	DialyserSterilised         int64   `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised" form:"dialyser_sterilised"`
	Filtryzer                  int64   `gorm:"column:filtryzer" json:"filtryzer" form:"filtryzer"`
	TargetKtv                  float64 `gorm:"column:target_ktv" json:"target_ktv" form:"target_ktv"`
	Dialyzers                  int64   `gorm:"column:dialyzers" json:"dialyzers" form:"dialyzers"`
	Injector                   int64   `gorm:"column:injector" json:"injector" form:"injector"`
	Bloodlines                 int64   `gorm:"column:bloodlines" json:"bloodlines" form:"bloodlines"`
	TubingHemodialysis         int64   `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis" form:"tubing_hemodialysis"`
	Package                    int64   `gorm:"column:package" json:"package" form:"package"`
	ALiquid                    int64   `gorm:"column:a_liquid" json:"a_liquid" form:"a_liquid"`
}

func (XtDialysisPrescription) TableName() string {
	return "xt_dialysis_prescription"
}

type XtReceiveTreatmentAsses struct {
	ID                           int64  `gorm:"column:id" json:"id" form:"id"`
	Way                          int64  `gorm:"column:way" json:"way" form:"way"`
	Consciousness                int64  `gorm:"column:consciousness" json:"consciousness" form:"consciousness"`
	Appetite                     int64  `gorm:"column:appetite" json:"appetite" form:"appetite"`
	Condition                    int64  `gorm:"column:condition" json:"condition" form:"condition"`
	Creater                      int64  `gorm:"column:creater" json:"creater" form:"creater"`
	Posture                      int64  `gorm:"column:posture" json:"posture" form:"posture"`
	CreatedTime                  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdateTime                   int64  `gorm:"column:update_time" json:"update_time" form:"update_time"`
	RecordId                     int64  `gorm:"column:record_id" json:"record_id" form:"record_id"`
	RecordDate                   int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Modifier                     int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Status                       int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId                    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	SickCondition                int64  `gorm:"column:sick_condition" json:"sick_condition" form:"sick_condition"`
	SickConditionOther           string `gorm:"column:sick_condition_other" json:"sick_condition_other" form:"sick_condition_other"`
	DangerLevel                  int64  `gorm:"column:danger_level" json:"danger_level" form:"danger_level"`
	Intake                       int64  `gorm:"column:intake" json:"intake" form:"intake"`
	Nutrition                    int64  `gorm:"column:nutrition" json:"nutrition" form:"nutrition"`
	PsychologicalAssessment      int64  `gorm:"column:psychological_assessment" json:"psychological_assessment" form:"psychological_assessment"`
	PsychologicalAssessmentOther string `gorm:"column:psychological_assessment_other" json:"psychological_assessment_other" form:"psychological_assessment_other"`
	IsPrecaution                 int64  `gorm:"column:is_precaution" json:"is_precaution" form:"is_precaution"`
	Score                        string `gorm:"column:score" json:"score" form:"score"`
	Precaution                   int64  `gorm:"column:precaution" json:"precaution" form:"precaution"`
	PrecautionOther              string `gorm:"column:precaution_other" json:"precaution_other" form:"precaution_other"`
	PsychologicalOther           string `gorm:"column:psychological_other" json:"psychological_other" form:"psychological_other"`
}

func (XtReceiveTreatmentAsses) TableName() string {
	return "xt_receive_treatement_asses"
}

type XtAssessmentBeforeDislysis struct {
	ID                             int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                      int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                      int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AssessmentDate                 int64   `gorm:"column:assessment_date" json:"assessment_date" form:"assessment_date"`
	DialysisOrderId                int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	Temperature                    float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	PulseFrequency                 float64 `gorm:"column:pulse_frequency" json:"pulse_frequency" form:"pulse_frequency"`
	BreathingRate                  float64 `gorm:"column:breathing_rate" json:"breathing_rate" form:"breathing_rate"`
	SystolicBloodPressure          float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure" form:"systolic_blood_pressure"`
	DiastolicBloodPressure         float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure" form:"diastolic_blood_pressure"`
	BloodPressureType              int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type" form:"blood_pressure_type"`
	DryWeight                      float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	WeightAfterLastTransparency    float64 `gorm:"column:weight_after_last_transparency" json:"weight_after_last_transparency" form:"weight_after_last_transparency"`
	WeighingWay                    string  `gorm:"column:weighing_way" json:"weighing_way" form:"weighing_way"`
	WeighingBefore                 float64 `gorm:"column:weighing_before" json:"weighing_before" form:"weighing_before"`
	AdditionalWeight               float64 `gorm:"column:additional_weight" json:"additional_weight" form:"additional_weight"`
	WeightBefore                   float64 `gorm:"column:weight_before" json:"weight_before" form:"weight_before"`
	WeightGain                     float64 `gorm:"column:weight_gain" json:"weight_gain" form:"weight_gain"`
	PreloadedDewatering            float64 `gorm:"column:preloaded_dewatering" json:"preloaded_dewatering" form:"preloaded_dewatering"`
	UltrafiltrationAmount          float64 `gorm:"column:ultrafiltration_amount" json:"ultrafiltration_amount" form:"ultrafiltration_amount"`
	DialysisInterphase             string  `gorm:"column:dialysis_interphase" json:"dialysis_interphase" form:"dialysis_interphase"`
	LastPostDialysis               string  `gorm:"column:last_post_dialysis" json:"last_post_dialysis" form:"last_post_dialysis"`
	SymptomBeforeDialysis          string  `gorm:"column:symptom_before_dialysis" json:"symptom_before_dialysis" form:"symptom_before_dialysis"`
	InternalFistula                string  `gorm:"column:internal_fistula" json:"internal_fistula" form:"internal_fistula"`
	InternalFistulaSkin            string  `gorm:"column:internal_fistula_skin" json:"internal_fistula_skin" form:"internal_fistula_skin"`
	CatheterBend                   int64   `gorm:"column:catheter_bend" json:"catheter_bend" form:"catheter_bend"`
	Catheter                       string  `gorm:"column:catheter" json:"catheter" form:"catheter"`
	Complication                   string  `gorm:"column:complication" json:"complication" form:"complication"`
	Evaluator                      int64   `gorm:"column:evaluator" json:"evaluator" form:"evaluator"`
	Creater                        int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Remark                         string  `gorm:"column:remark" json:"remark" form:"remark"`
	Status                         int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                    int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                    int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Modifier                       int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	BloodAccessPartId              int64   `gorm:"column:blood_access_part_id" json:"blood_access_part_id" form:"blood_access_part_id"`
	BloodAccessPartOperaId         int64   `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id" form:"blood_access_part_opera_id"`
	IsHemorrhage                   int64   `gorm:"column:is_hemorrhage" json:"is_hemorrhage" form:"is_hemorrhage"`
	Hemorrhage                     string  `gorm:"column:hemorrhage" json:"hemorrhage" form:"hemorrhage"`
	HemorrhageOther                string  `gorm:"column:hemorrhage_other" json:"hemorrhage_other" form:"hemorrhage_other"`
	PunctureMethod                 string  `gorm:"column:puncture_method" json:"puncture_method" form:"puncture_method"`
	BloodAccessInternalFistula     string  `gorm:"column:blood_access_internal_fistula" json:"blood_access_internal_fistula" form:"blood_access_internal_fistula"`
	InternalFistulaOther           string  `gorm:"column:internal_fistula_other" json:"internal_fistula_other" form:"internal_fistula_other"`
	BloodAccessNoise               int64   `gorm:"column:blood_access_noise" json:"blood_access_noise" form:"blood_access_noise"`
	PunctureWay                    int64   `gorm:"column:puncture_way" json:"puncture_way" form:"puncture_way"`
	VenousCatheterization          int64   `gorm:"column:venous_catheterization" json:"venous_catheterization" form:"venous_catheterization"`
	VenousCatheterizationPart      int64   `gorm:"column:venous_catheterization_part" json:"venous_catheterization_part" form:"venous_catheterization_part"`
	VenousCatheterizationPartOther string  `gorm:"column:venous_catheterization_part_other" json:"venous_catheterization_part_other" form:"venous_catheterization_part_other"`
	DuctusArantii                  string  `gorm:"column:ductus_arantii" json:"ductus_arantii" form:"ductus_arantii"`
	EmergencyTreatment             int64   `gorm:"column:emergency_treatment" json:"emergency_treatment" form:"emergency_treatment"`
	EmergencyTreatmentOther        string  `gorm:"column:emergency_treatment_other" json:"emergency_treatment_other" form:"emergency_treatment_other"`
	DialysisCount                  int64   `gorm:"column:dialysis_count" json:"dialysis_count" form:"dialysis_count"`
	AssessmentDoctor               int64   `gorm:"column:assessment_doctor" json:"assessment_doctor" form:"assessment_doctor"`
	AssessmentTime                 int64   `gorm:"column:assessment_time" json:"assessment_time" form:"assessment_time"`
	MachineType                    string  `gorm:"column:machine_type" json:"machine_type" form:"machine_type"`
	IsInfect                       int64   `gorm:"column:is_infect" json:"is_infect" form:"is_infect"`
	Exposed                        float64 `gorm:"column:exposed" json:"exposed" form:"exposed"`
	Skin                           int64   `gorm:"column:skin" json:"skin" form:"skin"`
	SkinOther                      string  `gorm:"column:skin_other" json:"skin_other" form:"skin_other"`
	InfectOther                    string  `gorm:"column:infect_other" json:"infect_other" form:"infect_other"`
	DuctusArantiiOther             string  `gorm:"column:ductus_arantii_other" json:"ductus_arantii_other" form:"ductus_arantii_other"`
}

func (XtAssessmentBeforeDislysis) TableName() string {
	return "xt_assessment_before_dislysis"
}

type DoctorAdvice struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	GroupNo               int64   `gorm:"column:groupno" json:"groupno" form:"groupno"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64   `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64   `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	DrugSpec              float64 `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string  `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string  `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64   `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string  `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64   `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64   `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64   `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64   `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64   `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64   `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64   `gorm:"column:record_date" json:"record_date"`
	DialysisOrderId       int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	CheckTime             int64   `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64   `gorm:"column:check_state" json:"check_state" form:"check_state"`
	AdviceId              int64   `gorm:"-"`
}

func (DoctorAdvice) TableName() string {
	return "xt_doctor_advice"
}

type DoubleCheck struct {
	ID                         int64  `gorm:"column:id" json:"id"`
	UserOrgId                  int64  `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                  int64  `gorm:"column:patient_id" json:"patient_id"`
	DialysisOrderId            int64  `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	CheckDate                  int64  `gorm:"column:check_date" json:"check_date"`
	DialysisItemCheck          int64  `gorm:"column:dialysis_item_check" json:"dialysis_item_check"`
	DialysisItemDesc           string `gorm:"column:dialysis_item_desc" json:"dialysis_item_desc"`
	DialysisParameterCheck     int64  `gorm:"column:dialysis_parameter_check" json:"dialysis_parameter_check"`
	DialysisParameterDesc      string `gorm:"column:dialysis_parameter_desc" json:"dialysis_parameter_desc"`
	VascularAccessVerification int64  `gorm:"column:vascular_access_verification" json:"vascular_access_verification"`
	VascularAccessDesc         string `gorm:"column:vascular_access_desc" json:"vascular_access_desc"`
	PipelineConnectionCheck    int64  `gorm:"column:pipeline_connection_check" json:"pipeline_connection_check"`
	PipelineConnectionDesc     string `gorm:"column:pipeline_connection_desc" json:"pipeline_connection_desc"`
	Collator                   int64  `gorm:"column:collator" json:"collator"`
	Status                     int64  `gorm:"column:status" json:"status"`
	CreatedTime                int64  `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                int64  `gorm:"column:updated_time" json:"updated_time"`
	Creater                    int64  `gorm:"column:creater" json:"creater"`
	Modifier                   int64  `gorm:"column:modifier" json:"modifier"`
	CheckTime                  int64  `gorm:"column:check_time" json:"check_time"`
	FirstCheckTime             int64  `gorm:"column:first_check_time" json:"first_check_time"`
}

func (DoubleCheck) TableName() string {
	return "xt_double_check"
}

type DialysisOrder struct {
	ID             int64  `gorm:"column:id" json:"id"`
	DialysisDate   int64  `gorm:"column:dialysis_date" json:"dialysis_date"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id"`
	PrescriptionId int64  `gorm:"column:prescription_id" json:"prescription_id"`
	Stage          int64  `gorm:"column:stage" json:"stage"`
	Remark         string `gorm:"column:remark" json:"remark"`
	BedID          int64  `gorm:"column:bed_id" json:"bed_id"`
	StartNurse     int64  `gorm:"column:start_nurse" json:"start_nurse"`
	FinishNurse    int64  `gorm:"column:finish_nurse" json:"finish_nurse"`
	Status         int64  `gorm:"column:status" json:"status"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time"`
	StartTime      int64  `gorm:"column:start_time" json:"start_time"`
	EndTime        int64  `gorm:"column:end_time" json:"end_time"`
	PunctureNurse  int64  `gorm:"column:puncture_nurse" json:"puncture_nurse"`
	Creator        int64  `gorm:"column:creator" json:"creator"`
	Modifier       int64  `gorm:"column:modifier" json:"modifier"`
	FinishCreator  int64  `gorm:"column:finish_creator" json:"finish_creator"`
	FinishModifier int64  `gorm:"column:finish_modifier" json:"finish_modifier"`
}

func (DialysisOrder) TableName() string {
	return "xt_dialysis_order"
}

type SgjUserOrg struct {
	ID              int64   `gorm:"column:id" json:"id" form:"id"`
	Creator         int64   `gorm:"column:creator" json:"creator" form:"creator"`
	OrgName         string  `gorm:"column:org_name" json:"org_name" form:"org_name"`
	OrgShortName    string  `gorm:"column:org_short_name" json:"org_short_name" form:"org_short_name"`
	OrgLogo         string  `gorm:"column:org_logo" json:"org_logo" form:"org_logo"`
	OrgIntroduction string  `gorm:"column:org_introduction" json:"org_introduction" form:"org_introduction"`
	Illness         string  `gorm:"column:illness" json:"illness" form:"illness"`
	Province        int64   `gorm:"column:province" json:"province" form:"province"`
	City            int64   `gorm:"column:city" json:"city" form:"city"`
	District        int64   `gorm:"column:district" json:"district" form:"district"`
	Address         string  `gorm:"column:address" json:"address" form:"address"`
	Longitude       string  `gorm:"column:longitude" json:"longitude" form:"longitude"`
	Latitude        string  `gorm:"column:latitude" json:"latitude" form:"latitude"`
	OrgType         int64   `gorm:"column:org_type" json:"org_type" form:"org_type"`
	Comments        int64   `gorm:"column:comments" json:"comments" form:"comments"`
	Evaluate        float64 `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Gallery         string  `gorm:"column:gallery" json:"gallery" form:"gallery"`
	BusinessWeek    string  `gorm:"column:business_week" json:"business_week" form:"business_week"`
	BusinessTime    string  `gorm:"column:business_time" json:"business_time" form:"business_time"`
	ContactName     string  `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	Telephone       string  `gorm:"column:telephone" json:"telephone" form:"telephone"`
	Claim           int64   `gorm:"column:claim" json:"claim" form:"claim"`
	OperatingState  int64   `gorm:"column:operating_state" json:"operating_state" form:"operating_state"`
	Status          int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime           int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime           int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Source          int64   `gorm:"column:source" json:"source" form:"source"`
	Ttype           int64   `gorm:"column:ttype" json:"ttype" form:"ttype"`
	Ttid            int64   `gorm:"column:ttid" json:"ttid" form:"ttid"`
	Tuid            int64   `gorm:"column:tuid" json:"tuid" form:"tuid"`
	Reason          string  `gorm:"column:reason" json:"reason" form:"reason"`
	Level           int64   `gorm:"column:level" json:"level" form:"level"`
	Website         string  `gorm:"column:website" json:"website" form:"website"`
	Import          int64   `gorm:"column:import" json:"import" form:"import"`
	Sortno          int64   `gorm:"column:sortno" json:"sortno" form:"sortno"`
	//XtPatients  []XtPatients `gorm:"ForeignKey:UserOrgId"`
}

func (SgjUserOrg) TableName() string {
	return "sgj_user_org"
}

type MonitoringRecord struct {
	ID                        int64   `gorm:"column:id" json:"id"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                 int64   `gorm:"column:patient_id" json:"patient_id"`
	DialysisOrderId           int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	MonitoringDate            int64   `gorm:"column:monitoring_date" json:"monitoring_date"`
	OperateTime               int64   `gorm:"column:operate_time" json:"operate_time"`
	MonitoringTime            string  `gorm:"column:monitoring_time" json:"monitoring_time"`
	PulseFrequency            float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate             float64 `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure     float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure    float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType         int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	Pic                       string  `gorm:"column:pic" json:"pic"`
	BloodFlowVolume           float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	VenousPressure            float64 `gorm:"column:venous_pressure" json:"venous_pressure"`
	VenousPressureUnit        string  `gorm:"column:venous_pressure_unit" json:"venous_pressure_unit"`
	ArterialPressure          float64 `gorm:"column:arterial_pressure" json:"arterial_pressure"`
	TransmembranePressure     float64 `gorm:"column:transmembrane_pressure" json:"transmembrane_pressure"`
	TransmembranePressureUnit string  `gorm:"column:transmembrane_pressure_unit" json:"transmembrane_pressure_unit"`
	UltrafiltrationRate       float64 `gorm:"column:ultrafiltration_rate" json:"ultrafiltration_rate"`
	UltrafiltrationVolume     float64 `gorm:"column:ultrafiltration_volume" json:"ultrafiltration_volume"`
	SodiumConcentration       float64 `gorm:"column:sodium_concentration" json:"sodium_concentration"`
	DialysateTemperature      float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	Temperature               float64 `gorm:"column:temperature" json:"temperature"`
	ReplacementRate           float64 `gorm:"column:replacement_rate" json:"replacement_rate"`
	DisplacementQuantity      float64 `gorm:"column:displacement_quantity" json:"displacement_quantity"`
	Ktv                       float64 `gorm:"column:ktv" json:"ktv"`
	Symptom                   string  `gorm:"column:symptom" json:"symptom"`
	Dispose                   string  `gorm:"column:dispose" json:"dispose"`
	Result                    string  `gorm:"column:result" json:"result"`
	MonitoringNurse           int64   `gorm:"column:monitoring_nurse" json:"monitoring_nurse"`
	Status                    int64   `gorm:"column:status" json:"status"`
	CreatedTime               int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime               int64   `gorm:"column:updated_time" json:"updated_time"`
	Conductivity              float64 `gorm:"column:conductivity" json:"conductivity"`
	DisplacementFlowQuantity  float64 `gorm:"column:displacement_flow_quantity" json:"displacement_flow_quantity"`
}

func (MonitoringRecord) TableName() string {
	return "xt_monitoring_record"
}

type XtAssessmentAfterDislysis struct {
	ID                              int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                       int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                       int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AssessmentDate                  int64   `gorm:"column:assessment_date" json:"assessment_date" form:"assessment_date"`
	DialysisOrderId                 int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	Temperature                     float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	PulseFrequency                  float64 `gorm:"column:pulse_frequency" json:"pulse_frequency" form:"pulse_frequency"`
	BreathingRate                   float64 `gorm:"column:breathing_rate" json:"breathing_rate" form:"breathing_rate"`
	SystolicBloodPressure           float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure" form:"systolic_blood_pressure"`
	DiastolicBloodPressure          float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure" form:"diastolic_blood_pressure"`
	BloodPressureType               int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type" form:"blood_pressure_type"`
	ActualUltrafiltration           float64 `gorm:"column:actual_ultrafiltration" json:"actual_ultrafiltration" form:"actual_ultrafiltration"`
	ActualDisplacement              float64 `gorm:"column:actual_displacement" json:"actual_displacement" form:"actual_displacement"`
	ActualTreatmentHour             int64   `gorm:"column:actual_treatment_hour" json:"actual_treatment_hour" form:"actual_treatment_hour"`
	ActualTreatmentMinute           int64   `gorm:"column:actual_treatment_minute" json:"actual_treatment_minute" form:"actual_treatment_minute"`
	WeighingWay                     string  `gorm:"column:weighing_way" json:"weighing_way" form:"weighing_way"`
	WeightAfter                     float64 `gorm:"column:weight_after" json:"weight_after" form:"weight_after"`
	WeightLoss                      float64 `gorm:"column:weight_loss" json:"weight_loss" form:"weight_loss"`
	Cruor                           string  `gorm:"column:cruor" json:"cruor" form:"cruor"`
	SymptomAfterDialysis            string  `gorm:"column:symptom_after_dialysis" json:"symptom_after_dialysis" form:"symptom_after_dialysis"`
	InternalFistula                 string  `gorm:"column:internal_fistula" json:"internal_fistula" form:"internal_fistula"`
	Catheter                        string  `gorm:"column:catheter" json:"catheter" form:"catheter"`
	Complication                    string  `gorm:"column:complication" json:"complication" form:"complication"`
	Evaluator                       int64   `gorm:"column:evaluator" json:"evaluator" form:"evaluator"`
	Remark                          string  `gorm:"column:remark" json:"remark" form:"remark"`
	DialysisIntakes                 int64   `gorm:"column:dialysis_intakes" json:"dialysis_intakes" form:"dialysis_intakes"`
	DialysisIntakesFeed             int64   `gorm:"column:dialysis_intakes_feed" json:"dialysis_intakes_feed" form:"dialysis_intakes_feed"`
	DialysisIntakesTransfusion      int64   `gorm:"column:dialysis_intakes_transfusion" json:"dialysis_intakes_transfusion" form:"dialysis_intakes_transfusion"`
	DialysisIntakesBloodTransfusion int64   `gorm:"column:dialysis_intakes_blood_transfusion" json:"dialysis_intakes_blood_transfusion" form:"dialysis_intakes_blood_transfusion"`
	DialysisIntakesWashpipe         int64   `gorm:"column:dialysis_intakes_washpipe" json:"dialysis_intakes_washpipe" form:"dialysis_intakes_washpipe"`
	Status                          int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                     int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                     int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Creater                         int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Modifier                        int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	BloodAccessPartId               int64   `gorm:"column:blood_access_part_id" json:"blood_access_part_id" form:"blood_access_part_id"`
	BloodAccessPartOperaId          int64   `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id" form:"blood_access_part_opera_id"`
	PuncturePointOozingBlood        int64   `gorm:"column:puncture_point_oozing_blood" json:"puncture_point_oozing_blood" form:"puncture_point_oozing_blood"`
	PuncturePointHaematoma          int64   `gorm:"column:puncture_point_haematoma" json:"puncture_point_haematoma" form:"puncture_point_haematoma"`
	InternalFistulaTremorAc         int64   `gorm:"column:internal_fistula_tremor_ac" json:"internal_fistula_tremor_ac" form:"internal_fistula_tremor_ac"`
	PatientGose                     int64   `gorm:"column:patient_gose" json:"patient_gose" form:"patient_gose"`
	InpatientDepartment             string  `gorm:"column:inpatient_department" json:"inpatient_department" form:"inpatient_department"`
	ObservationContent              string  `gorm:"column:observation_content" json:"observation_content" form:"observation_content"`
	ObservationContentOther         string  `gorm:"column:observation_content_other" json:"observation_content_other" form:"observation_content_other"`
	DryWeight                       float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	DialysisProcess                 int64   `gorm:"column:dialysis_process" json:"dialysis_process" form:"dialysis_process"`
	InAdvanceMinute                 float64 `gorm:"column:in_advance_minute" json:"in_advance_minute" form:"in_advance_minute"`
	InAdvanceReason                 string  `gorm:"column:in_advance_reason" json:"in_advance_reason" form:"in_advance_reason"`
	HemostasisMinute                int64   `gorm:"column:hemostasis_minute" json:"hemostasis_minute" form:"hemostasis_minute"`
	HemostasisOpera                 int64   `gorm:"column:hemostasis_opera" json:"hemostasis_opera" form:"hemostasis_opera"`
	TremorNoise                     int64   `gorm:"column:tremor_noise" json:"tremor_noise" form:"tremor_noise"`
	DisequilibriumSyndrome          int64   `gorm:"column:disequilibrium_syndrome" json:"disequilibrium_syndrome" form:"disequilibrium_syndrome"`
	DisequilibriumSyndromeOption    string  `gorm:"column:disequilibrium_syndrome_option" json:"disequilibrium_syndrome_option" form:"disequilibrium_syndrome_option"`
	ArterialTube                    int64   `gorm:"column:arterial_tube" json:"arterial_tube" form:"arterial_tube"`
	IntravenousTube                 int64   `gorm:"column:intravenous_tube" json:"intravenous_tube" form:"intravenous_tube"`
	Dialyzer                        int64   `gorm:"column:dialyzer" json:"dialyzer" form:"dialyzer"`
	InAdvanceReasonOther            string  `gorm:"column:in_advance_reason_other" json:"in_advance_reason_other" form:"in_advance_reason_other"`
	AssessmentDoctor                int64   `gorm:"column:assessment_doctor" json:"assessment_doctor" form:"assessment_doctor"`
	AssessmentTime                  int64   `gorm:"column:assessment_time" json:"assessment_time" form:"assessment_time"`
	IsEat                           int64   `gorm:"column:is_eat" json:"is_eat" form:"is_eat"`
}

func (XtAssessmentAfterDislysis) TableName() string {
	return "xt_assessment_after_dislysis"
}

type PatientInfo struct {
	ID          int64
	OrgName     string
	AdminName   string
	Ctime       string
	Address     string
	ContactName string
	OrgType     int64
	Namepath    string
}

type SgjUserAdminLoginLog struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	AdminUserId int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	OrgId       int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId       int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	Ip          string `gorm:"column:ip" json:"ip" form:"ip"`
	OperateType int64  `gorm:"column:operate_type" json:"operate_type" form:"operate_type"`
	AppType     int64  `gorm:"column:app_type" json:"app_type" form:"app_type"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
}

func (SgjUserAdminLoginLog) TableName() string {
	return "sgj_user_admin_login_log "
}

type Logout struct {
	Ctime int64
}

type SgjOrgFollow struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	OrgId       int64 `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AdminUserId int64 `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Ctime       int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime       int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
}

func (SgjOrgFollow) TableName() string {
	return "sgj_org_follow"
}

type SgjAdmin struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	Account      string `gorm:"column:account" json:"account" form:"account"`
	Pwd          string `gorm:"column:pwd" json:"pwd" form:"pwd"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	IsSuperAdmin int64  `gorm:"column:is_super_admin" json:"is_super_admin" form:"is_super_admin"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
}

func (SgjAdmin) TableName() string {
	return "sgj_admin"
}
